<?php
final class EntryListView extends View {
    /**
     * (non-PHPdoc)
     * @see View::preRender()
     */
    protected function preRender() {
        $contents = file_get_contents(WEB . 'pc' . DIRECTORY_SEPARATOR . 'tpl' . DIRECTORY_SEPARATOR . 'entry_list.tpl');
        $tpl = '';
        foreach ($this->response->get('entries') as $row) {
            $tpl .= GenerateUtil::staticCreate($contents, $row);
        }
        $this->response->set('entry_list_tpl', $tpl);
    }
}
// EOF.
